com.trendmicro.ds.platform.rest.object.monitoring

## Class TenantHostProtectionElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.monitoring.TenantHostProtectionElement

-     public class TenantHostProtectionElement
      extends java.lang.Object

  A record of a host's protection. These records identify a host, and show when protection of the host started and stopped.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TenantHostProtectionElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getHostID()` The internal host identifier.
    `java.lang.String` | `getHostID1()` The value of the first configurable host identifier.
    `java.lang.String` | `getHostID2()` The value of the second configurable host identifier.
    `java.lang.String` | `getHostID3()` The value of the third configurable host identifier.
    `java.lang.String` | `getInstanceType()` The instance type (from AWS).
    `java.util.List<TenantModuleUsageElement>` | `getModuleUsageList()` The list of module usage details.
    `java.lang.String` | `getOperatingSystem()` The operating system (from AWS).
    `java.util.Date` | `getProtectionStartDate()` The date at which protection of the host started.
    `java.util.Date` | `getProtectionStopDate()` The date at which protection of the host stopped; will be null if the host is still being protected.
    `java.lang.Integer` | `getTenantID()` The internal identifier of the tenant the host belongs to.
    `java.lang.String` | `getTenantName()` The name of the tenant the host belongs to; May be null if the tenant has been deleted.
    `void` | `setHostID(java.lang.Integer hostID)`
    `void` | `setHostID1(java.lang.String hostID1)`
    `void` | `setHostID2(java.lang.String hostID2)`
    `void` | `setHostID3(java.lang.String hostID3)`
    `void` | `setInstanceType(java.lang.String instanceType)`
    `void` | `setModuleUsageList(java.util.List<TenantModuleUsageElement> moduleUsageList)`
    `void` | `setOperatingSystem(java.lang.String operatingSystem)`
    `void` | `setProtectionStartDate(java.util.Date protectionStartDate)`
    `void` | `setProtectionStopDate(java.util.Date protectionStopDate)`
    `void` | `setTenantID(java.lang.Integer tenantID)`
    `void` | `setTenantName(java.lang.String tenantName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TenantHostProtectionElement

          public TenantHostProtectionElement()

  - ### Method Detail

    - #### getTenantID

          public java.lang.Integer getTenantID()

      The internal identifier of the tenant the host belongs to.

    - #### setTenantID

          public void setTenantID(java.lang.Integer tenantID)

    - #### getTenantName

          public java.lang.String getTenantName()

      The name of the tenant the host belongs to; May be null if the tenant has been deleted.

    - #### setTenantName

          public void setTenantName(java.lang.String tenantName)

    - #### getHostID

          public java.lang.Integer getHostID()

      The internal host identifier.

    - #### setHostID

          public void setHostID(java.lang.Integer hostID)

    - #### getInstanceType

          public java.lang.String getInstanceType()

      The instance type (from AWS).

    - #### setInstanceType

          public void setInstanceType(java.lang.String instanceType)

    - #### getOperatingSystem

          public java.lang.String getOperatingSystem()

      The operating system (from AWS).

    - #### setOperatingSystem

          public void setOperatingSystem(java.lang.String operatingSystem)

    - #### getHostID1

          public java.lang.String getHostID1()

      The value of the first configurable host identifier.

    - #### setHostID1

          public void setHostID1(java.lang.String hostID1)

    - #### getHostID2

          public java.lang.String getHostID2()

      The value of the second configurable host identifier.

    - #### setHostID2

          public void setHostID2(java.lang.String hostID2)

    - #### getHostID3

          public java.lang.String getHostID3()

      The value of the third configurable host identifier.

    - #### setHostID3

          public void setHostID3(java.lang.String hostID3)

    - #### getProtectionStartDate

          public java.util.Date getProtectionStartDate()

      The date at which protection of the host started.

    - #### setProtectionStartDate

          public void setProtectionStartDate(java.util.Date protectionStartDate)

    - #### getProtectionStopDate

          public java.util.Date getProtectionStopDate()

      The date at which protection of the host stopped; will be null if the host is still being protected.

    - #### setProtectionStopDate

          public void setProtectionStopDate(java.util.Date protectionStopDate)

    - #### getModuleUsageList

          public java.util.List<TenantModuleUsageElement> getModuleUsageList()

      The list of module usage details.

    - #### setModuleUsageList

          public void setModuleUsageList(java.util.List<TenantModuleUsageElement> moduleUsageList)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.